Change Communication Solutions

Supported System & Browsers for

Communicate Cloud

Communicate Cloud supports modern browsers and operating systems that support HTML5. JavaScript must be enabled.

Platform OS Browser
Desktop

Windows 10

  • Internet Explorer 11
  • Chrome
  • Firefox
  • Edge (Chromium-based Edge, tests on Windows 10)

MacOS - most recent 2 versions

  • Safari (latest version)
  • Chrome
  • Firefox
Mobile

iOS- most recent 2 versions

  • Mobile Safari

Android - most recent 2 versions

  • Mobile Chrome

If you still experience technical difficulties, please Submit a ticket here to GuideSpark Support. We will get back to you soon after we have reviewed your issue.

 Need support for our legacy videos?

Ready to learn more?